guicomponents

## Interface GConstants

- All Known Implementing Classes:
    FCScheme, FPanel, FScrollbar, FTextArea, FTextComponent, FTextField, G4P, GActivityBar, GButton, GCheckbox, GCombo, GComponent, GCScheme, GHorzSlider, GImageButton, GKnob, GKnobOval, GLabel, GMessenger, GOption, GPanel, GRoundControl, GSlider, GTextField, GVertSlider, GWinApplet, GWindow, GWSlider

      public interface GConstants

  Author:
    Peter Lager

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ADD_DUPLICATE`
    `static TextAttribute` | `BACKGROUND`
    `static int` | `CHANGED`
    `static int` | `CLICKED`
    `static int` | `CLOSE_WINDOW`
    `static int` | `COLLAPSED`
    `static int` | `CTRL_ANGULAR`
    `static int` | `CTRL_HORIZONTAL`
    `static int` | `CTRL_VERTICAL`
    `static int` | `DESELECTED`
    `static int` | `DISABLE_AUTO_DRAW`
    `static int` | `DRAGGED`
    `static int` | `ENTERED`
    `static int` | `EXCP_IN_HANDLER`
    `static int` | `EXIT_APP`
    `static int` | `EXPANDED`
    `static TextAttribute` | `FAMILY`
    `static TextAttribute` | `FOREGROUND`
    `static int` | `HUD_UNSUPPORTED`
    `static int` | `INVALID_STATUS`
    `static TextAttribute` | `JUSTIFICATION`
    `static Float` | `JUSTIFICATION_FULL`
    `static Float` | `JUSTIFICATION_NONE`
    `static int` | `KEEP_OPEN`
    `static int` | `MISSING`
    `static int` | `NONEXISTANT`
    `static int` | `NOT_PEASYCAM`
    `static TextAttribute` | `POSTURE`
    `static Float` | `POSTURE_OBLIQUE`
    `static Float` | `POSTURE_REGULAR`
    `static int` | `PRESSED`
    `static int` | `RELEASED`
    `static int` | `RUNTIME_ERROR`
    `static int` | `SCROLL_DOWN`
    `static int` | `SCROLL_LEFT`
    `static int` | `SCROLL_RIGHT`
    `static int` | `SCROLL_UP`
    `static int` | `SCROLLBAR_HORIZONTAL` Create and display horizontal scrollbar only.
    `static int` | `SCROLLBAR_VERTICAL` Create and display vertical scrollbar only.
    `static int` | `SCROLLBARS_AUTOHIDE`
    `static int` | `SCROLLBARS_BOTH` Create and display both vertical and horizontal scrollbars.
    `static int` | `SCROLLBARS_HORIZONTAL_ONLY` Create and display horizontal scrollbar only.
    `static int` | `SCROLLBARS_NONE` Do not create or display any scrollbars for the text area.
    `static int` | `SCROLLBARS_VERTICAL_ONLY` Create and display vertical scrollbar only.
    `static int` | `SELECTED`
    `static int` | `SET`
    `static TextAttribute` | `SIZE`
    `static TextAttribute` | `STRIKETHROUGH`
    `static Boolean` | `STRIKETHROUGH_OFF`
    `static Boolean` | `STRIKETHROUGH_ON`
    `static TextAttribute` | `SUPERSCRIPT`
    `static Integer` | `SUPERSCRIPT_SUB`
    `static Integer` | `SUPERSCRIPT_SUPER`
    `static int` | `USER_COL_SCHEME`
    `static TextAttribute` | `WEIGHT`
    `static Float` | `WEIGHT_BOLD`
    `static Float` | `WEIGHT_DEMIBOLD`
    `static Float` | `WEIGHT_DEMILIGHT`
    `static Float` | `WEIGHT_EXTRA_LIGHT`
    `static Float` | `WEIGHT_EXTRABOLD`
    `static Float` | `WEIGHT_HEAVY`
    `static Float` | `WEIGHT_LIGHT`
    `static Float` | `WEIGHT_MEDIUM`
    `static Float` | `WEIGHT_REGULAR`
    `static Float` | `WEIGHT_SEMIBOLD`
    `static Float` | `WEIGHT_ULTRABOLD`
    `static TextAttribute` | `WIDTH`
    `static Float` | `WIDTH_CONDENSED`
    `static Float` | `WIDTH_EXTENDED`
    `static Float` | `WIDTH_REGULAR`
    `static Float` | `WIDTH_SEMI_CONDENSED`
    `static Float` | `WIDTH_SEMI_EXTENDED`

- - ### Field Detail

    - #### CHANGED

          static final int CHANGED

      See Also:
        Constant Field Values

    - #### ENTERED

          static final int ENTERED

      See Also:
        Constant Field Values

    - #### SET

          static final int SET

      See Also:
        Constant Field Values

    - #### COLLAPSED

          static final int COLLAPSED

      See Also:
        Constant Field Values

    - #### EXPANDED

          static final int EXPANDED

      See Also:
        Constant Field Values

    - #### DRAGGED

          static final int DRAGGED

      See Also:
        Constant Field Values

    - #### CLICKED

          static final int CLICKED

      See Also:
        Constant Field Values

    - #### PRESSED

          static final int PRESSED

      See Also:
        Constant Field Values

    - #### RELEASED

          static final int RELEASED

      See Also:
        Constant Field Values

    - #### SELECTED

          static final int SELECTED

      See Also:
        Constant Field Values

    - #### DESELECTED

          static final int DESELECTED

      See Also:
        Constant Field Values

    - #### CTRL_ANGULAR

          static final int CTRL_ANGULAR

      See Also:
        Constant Field Values

    - #### CTRL_HORIZONTAL

          static final int CTRL_HORIZONTAL

      See Also:
        Constant Field Values

    - #### CTRL_VERTICAL

          static final int CTRL_VERTICAL

      See Also:
        Constant Field Values

    - #### EXIT_APP

          static final int EXIT_APP

      See Also:
        Constant Field Values

    - #### CLOSE_WINDOW

          static final int CLOSE_WINDOW

      See Also:
        Constant Field Values

    - #### KEEP_OPEN

          static final int KEEP_OPEN

      See Also:
        Constant Field Values

    - #### ADD_DUPLICATE

          static final int ADD_DUPLICATE

      See Also:
        Constant Field Values

    - #### USER_COL_SCHEME

          static final int USER_COL_SCHEME

      See Also:
        Constant Field Values

    - #### DISABLE_AUTO_DRAW

          static final int DISABLE_AUTO_DRAW

      See Also:
        Constant Field Values

    - #### SCROLLBARS_NONE

          static final int SCROLLBARS_NONE

      Do not create or display any scrollbars for the text area.
      See Also:
        Constant Field Values

    - #### SCROLLBARS_VERTICAL_ONLY

          static final int SCROLLBARS_VERTICAL_ONLY

      Create and display vertical scrollbar only.
      See Also:
        Constant Field Values

    - #### SCROLLBARS_HORIZONTAL_ONLY

          static final int SCROLLBARS_HORIZONTAL_ONLY

      Create and display horizontal scrollbar only.
      See Also:
        Constant Field Values

    - #### SCROLLBARS_BOTH

          static final int SCROLLBARS_BOTH

      Create and display both vertical and horizontal scrollbars.
      See Also:
        Constant Field Values

    - #### SCROLLBARS_AUTOHIDE

          static final int SCROLLBARS_AUTOHIDE

      See Also:
        Constant Field Values

    - #### SCROLLBAR_VERTICAL

          static final int SCROLLBAR_VERTICAL

      Create and display vertical scrollbar only.
      See Also:
        Constant Field Values

    - #### SCROLLBAR_HORIZONTAL

          static final int SCROLLBAR_HORIZONTAL

      Create and display horizontal scrollbar only.
      See Also:
        Constant Field Values

    - #### RUNTIME_ERROR

          static final int RUNTIME_ERROR

      See Also:
        Constant Field Values

    - #### MISSING

          static final int MISSING

      See Also:
        Constant Field Values

    - #### NONEXISTANT

          static final int NONEXISTANT

      See Also:
        Constant Field Values

    - #### EXCP_IN_HANDLER

          static final int EXCP_IN_HANDLER

      See Also:
        Constant Field Values

    - #### NOT_PEASYCAM

          static final int NOT_PEASYCAM

      See Also:
        Constant Field Values

    - #### HUD_UNSUPPORTED

          static final int HUD_UNSUPPORTED

      See Also:
        Constant Field Values

    - #### INVALID_STATUS

          static final int INVALID_STATUS

      See Also:
        Constant Field Values

    - #### SCROLL_UP

          static final int SCROLL_UP

      See Also:
        Constant Field Values

    - #### SCROLL_DOWN

          static final int SCROLL_DOWN

      See Also:
        Constant Field Values

    - #### SCROLL_LEFT

          static final int SCROLL_LEFT

      See Also:
        Constant Field Values

    - #### SCROLL_RIGHT

          static final int SCROLL_RIGHT

      See Also:
        Constant Field Values

    - #### FAMILY

          static final TextAttribute FAMILY

    - #### WEIGHT

          static final TextAttribute WEIGHT

    - #### WEIGHT_EXTRA_LIGHT

          static final Float WEIGHT_EXTRA_LIGHT

    - #### WEIGHT_LIGHT

          static final Float WEIGHT_LIGHT

    - #### WEIGHT_DEMILIGHT

          static final Float WEIGHT_DEMILIGHT

    - #### WEIGHT_REGULAR

          static final Float WEIGHT_REGULAR

    - #### WEIGHT_SEMIBOLD

          static final Float WEIGHT_SEMIBOLD

    - #### WEIGHT_MEDIUM

          static final Float WEIGHT_MEDIUM

    - #### WEIGHT_DEMIBOLD

          static final Float WEIGHT_DEMIBOLD

    - #### WEIGHT_BOLD

          static final Float WEIGHT_BOLD

    - #### WEIGHT_HEAVY

          static final Float WEIGHT_HEAVY

    - #### WEIGHT_EXTRABOLD

          static final Float WEIGHT_EXTRABOLD

    - #### WEIGHT_ULTRABOLD

          static final Float WEIGHT_ULTRABOLD

    - #### WIDTH

          static final TextAttribute WIDTH

    - #### WIDTH_CONDENSED

          static final Float WIDTH_CONDENSED

    - #### WIDTH_SEMI_CONDENSED

          static final Float WIDTH_SEMI_CONDENSED

    - #### WIDTH_REGULAR

          static final Float WIDTH_REGULAR

    - #### WIDTH_SEMI_EXTENDED

          static final Float WIDTH_SEMI_EXTENDED

    - #### WIDTH_EXTENDED

          static final Float WIDTH_EXTENDED

    - #### POSTURE

          static final TextAttribute POSTURE

    - #### POSTURE_REGULAR

          static final Float POSTURE_REGULAR

    - #### POSTURE_OBLIQUE

          static final Float POSTURE_OBLIQUE

    - #### SIZE

          static final TextAttribute SIZE

    - #### SUPERSCRIPT

          static final TextAttribute SUPERSCRIPT

    - #### SUPERSCRIPT_SUPER

          static final Integer SUPERSCRIPT_SUPER

    - #### SUPERSCRIPT_SUB

          static final Integer SUPERSCRIPT_SUB

    - #### FOREGROUND

          static final TextAttribute FOREGROUND

    - #### BACKGROUND

          static final TextAttribute BACKGROUND

    - #### STRIKETHROUGH

          static final TextAttribute STRIKETHROUGH

    - #### STRIKETHROUGH_ON

          static final Boolean STRIKETHROUGH_ON

    - #### STRIKETHROUGH_OFF

          static final Boolean STRIKETHROUGH_OFF

    - #### JUSTIFICATION

          static final TextAttribute JUSTIFICATION

    - #### JUSTIFICATION_FULL

          static final Float JUSTIFICATION_FULL

    - #### JUSTIFICATION_NONE

          static final Float JUSTIFICATION_NONE

Processing library guicomponents by Peter Lager. (C) 2012